#!/usr/bin/env python 
#Created By Kris Occhipinti (A.K.A. Metalx1000)
#http://FilmsByKris.com
#Dec. 30th 2010
#Licensed Under GPLv3

import pygame, sys, random          #load pygame module
from pygame.locals import *
 
w = 800                 #set width of screen
h = 480                 #set height

z = 0

screen = pygame.display.set_mode((w, h)) #make screen
 
pygame.display.flip()


class Ball:
    def __init__(self, radius, y, x, color, size, maxforce, force, life):
        self.y=y
        self.x=x
        self.size=size
        #speed
        self.maxforce=maxforce
        self.force=force
        self.radius=radius
        self.color=color
        self.life=life
        pygame.draw.circle(screen, self.color, (self.x, self.y), self.radius )

    def fall(self):
	if self.x < h-self.radius:
    	    self.x+=self.force
    	if self.force < self.maxforce:
            self.force+=1
        elif self.x > h-self.radius or self.x == h-self.radius:
            self.x = h-self.radius-1
            self.force = self.force*-1
            self.maxforce = self.maxforce/2
        pygame.draw.circle(screen, self.color, (self.y, self.x), self.radius )
        self.life-=1
        if self.life < 0:
            ball.remove(self)




                    
clock = pygame.time.Clock()
ball = []
ball.append(Ball(25, 250, 250, (random.randint(1,255),random.randint(1,255),random.randint(1,255)),"L", 25, 1, 100))
ball.append(Ball(25, 150, 150, (random.randint(1,255),random.randint(1,255),random.randint(1,255)),"L", 25, 1, 100))


while 1:
    clock.tick(60)
    x,y = pygame.mouse.get_pos()
    for event in pygame.event.get():
        if event.type == pygame.QUIT: 
            sys.exit()
        elif event.type == MOUSEBUTTONDOWN:
            print "click"
            z=1
        elif event.type == MOUSEBUTTONUP:
            if z == 0:
                print "Click up"
            z = 0
    if z == 1:
        ball.append(Ball(25, x, y, (random.randint(1,255),random.randint(1,255),random.randint(1,255)),"L", 20, random.randint(-10,3), 100))
        z=3  #Raise this number to slow down how fast bubble are generated
    elif z > 1:
        z-=1

    screen.fill((0,0,0))
    for i in ball:
        i.fall()

    pygame.display.flip()
